지리적 위치 오류 : 보안 출처 만 허용됩니다 / https가 필요합니다

Chrome 50+, Firefox 55+ 및 Safari 10+에서는 관련 브라우저 공급 업체가 지리적 위치 지원에 대한 중요한 변경 사항을 도입했습니다. 사용자의 현재 위치를 요청하는 모든 애플리케이션 (Maps Marker Pro의 지리적 위치 기능뿐 아니라) 만 허용됩니다. 사이트가 https를 통해 안전하게 전달되도록 설정된 경우 더 이상 사용자의 현재 위치를 검색하려면 사용자에게 다음 또는 유사한 경고가 대신 표시됩니다.

지리적 위치 오류 정보

Google의이 결정에 대한 자세한 내용은 https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only. 사용자가 Firefox와 같은 대체 브라우저를 통해 사이트에 액세스하는 경우에도 비 https 사이트에서 위치 정보가 작동합니다. 원정 여행 또는 Internet Explorer – 어쨌든 이러한 브라우저는 향후 유사한 보안 제한을 추가 할 가능성이 있습니다.

2016 년 10 월 업데이트 : iOS 10부터 Safari XNUMX 이상부터 위치 정보를 지원하려면 https가 필요합니다. 구현은 Chrome보다 훨씬 더 엄격합니다. 예를 들어 사이트에 혼합 콘텐츠 경고가있는 경우 지리적 위치 정보가 작동하지 않습니다.

2017 업데이트 : Firefox 55 이상에서는 위치 정보에 액세스하려면 https가 필요합니다 (자세히보다)

따라서 사이트에 Maps Marker Pro 지리적 위치 기능이 필요한 경우 (사용자의 현재 위치를 기준으로 마커 목록을 정렬 할 수있어 v2.7을 사용하는 경우에도 더욱 유용함) 사이트를 다음 위치로 마이그레이션하는 것이 좋습니다. https. 일부 호스팅 업체는 이미 무료 https 인증서를 제공합니다. letsencrypt.org 예를 들어. https를 지원하도록 WordPress 사이트 내에서 구성을 구성하려면 다음과 같은 자습서를 살펴보십시오. https://css-tricks.com/moving-to-https-on-wordpress/.

https는 Google 크롬 50 이상 및 Safari 10 이상에서 다시 작동하는 지리적 위치 (데이터 무결성, 발신자 인증 및 사용자 개인 정보 보호, https가 순위 신호로 사용되는 Google 순위 상승 등)보다 사이트에 더 많은 이점을 제공하므로 아직하지 않은 경우에만 사이트를 https로 전환하는 것이 좋습니다.

사이트를 https로 전환 했는데도 여전히 지리적 위치 오류 (예 : "지역 위치 오류 : 사용자 거부 지리적 위치")가 발생하는 경우 앱 / 웹 사이트가 지리적 위치를 검색하도록 허용 된 경우 장치의 위치 설정을 확인하십시오.

2
0
7406
이 FAQ 답변 평가

이 게시물을 평가할 수 없습니다.

en English
X